/*--------------------------------------------------------------
# Navigation
--------------------------------------------------------------*/
header {
  background: var(--nav-background);
  color: var(--main-light-color);
}

.navbar {
  font-size: var(--nav-font-size);
  color: var(--main-light-color);
}

#primary-menu {
  z-index: 9990;
}

.navbar-toggler {
  z-index: 9991;
}

/* DropDown Menu: */
ul.navbar-nav .dropdown-menu {
  background: var(--dark-background);
  border: none;
  border-radius: 0;
}

ul.navbar-nav .dropdown-menu .nav-item {
  border: none;
  text-transform: none;
  height: fit-content;
}

.dropdown {
  position: unset;
}

.dropdown-item {
  color: var(--main-light-color);
}

.dropdown-item:focus,
.dropdown-item:hover {
  border-radius: var(--main-border-radius);
}

.dropdown-toggle {
  border: none;
  padding: 0 .5rem;
  position: relative;
  background: transparent;
  cursor: pointer;
}

.dropdown-toggle::after,
.faq .card-header span::after {
  border: none;
  background: var(--icon-arrow) no-repeat;
  width: 12px;
  height: 12px;
  filter: invert(97%) sepia(0%) saturate(12%) hue-rotate(276deg) brightness(104%) contrast(105%);
}

.dropdown-toggle::after {
  position: relative;
  top: 0.45rem;
}

.faq .card-header[aria-expanded="true"] span::after {
  transform: rotate(180deg);
  transition: all .5s ease;
}

.faq .card-header[aria-expanded="true"] span::after {
  top: 0.65rem;
}

.submenu a {
  font-weight: normal;
}
.site-header .sam-stretched-wrapper {background: var(--latest-news-background);padding: 1rem !important;}
@media screen and (min-width: 992px) {
  ul.navbar-nav li.menu-item>.dropdown-menu {
    top: 47px;
    right: 0;
  }

  .navbar-nav {
    width: 75%;
    align-items: center;
    gap: 0.5rem;
  }

  .navbar-nav>.nav-item:not(.mega-menu) {
    flex-grow: 1;
  }

  .navbar-nav>.nav-item:not(.mega-menu):hover,
  .navbar-nav>.nav-item.active:not(.mega-menu),
  .navbar-nav>.nav-item:has(.dropdown-toggle.show) {
    box-shadow: inset 0 -4px 0 0 var(--accent-color);
  }

  .navbar-nav>.nav-item:is(.dropdown):hover .nav-link::after,
  .navbar-nav>.nav-item.active:is(.dropdown) .nav-link::after,
  .navbar-nav>.nav-item:has(.dropdown-toggle.show) .nav-link::after {
    content: '';
    border: none;
    background: var(--icon-dropdown-arrow) no-repeat;
    width: 18px;
    height: 7px;
    position: absolute;
    bottom: -7px;
    z-index: 9995;
  }

  .navbar-nav .nav-link,
  .navbar-nav .nav-link:hover {
    color: var(--main-light-color);
  }

  .dropdown-toggle {
    width: 100%;
  }

  .dropdown-toggle::after {
    content: none;
  }
}

@media only screen and (min-width: 992px) and (max-width: 1199px) {
  .navbar-nav>.nav-item.dropdown:not(.mega-menu) {
    padding: .25rem 0 .25rem .5rem;
  }

  .mega-menu {
    font-size: var(--nav-font-size);
  }
}

@media screen and (max-width: 991px) {
  body.menu-open:after {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 997;
    background: rgba(0, 0, 0, 0.5);
    transition: all 0.1s ease-in-out;
    -webkit-transition: all 0.1s ease-in-out;
    -moz-transition: all 0.1s ease-in-out;
    -o-transition: all 0.1s ease-in-out;
  }

  .navbar .navbar-toggler {
    border: medium none;
    outline: none;
  }

  .navbar-toggler .navbar-toggler-icon {
    background: var(--menu-hamburger) no-repeat;
    transition: var(--transition);
    width: 25px;
    height: 25px;
  }

  .navbar-toggler:focus {
    box-shadow: none;
  }

  .navbar-toggler[aria-expanded="true"] .navbar-toggler-icon {
    background: var(--menu-close) no-repeat;
    width: 25px;
    height: 25px;
  }

  .navbar-nav {
    width: 100%;
  }

  .navbar-nav>.nav-item:not(.mega-menu) {
    border-bottom: 1px solid var(--main-dark-color);
    padding: .5rem 0;
  }

  #primary-menu {
    position: absolute;
    z-index: 9998;
    background: var(--latest-news-background);
    width: 100%;
    top: 65px;
    right: 0;
  }

  .navbar-nav .nav-link,
  .navbar-nav .nav-link:hover {
    color: var(--main-dark-color);
    padding: 0.5rem 1rem;
  }

  .dropdown-toggle {
    position: absolute;
    right: 10%;
  }

  .dropdown-toggle::after {
    filter: brightness(0) saturate(100%) invert(8%) sepia(21%) saturate(7153%) hue-rotate(199deg) brightness(99%) contrast(106%);
    position: absolute;
    top: 0.75rem;
    right: 0;
  }
}

button.search-button.btn {
  width: 30px;
  height: 30px;
  background-color: var(--secondary-light-color);
  border-radius: 60% !important;
  right: 0;
  top: 0;
  z-index: 10;
}